
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//    Copyright (C) 2005, fALk Gaertner - prototypen.com  All rights reserved.
//
//    Codeexamples taken from http://developer.apple.com 
//    retain their respective rights
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

var elemente = new Array ("MovieControl", "Anfang", "Lauter", "Leiser", "TonToggle");
var animationlauter = {duration:0, starttime:0, to:1.0, now:0.5, from:0.0, firstElement:null, timer:null};

var j;


function mouseoverplus (event, j)
{
    if (!buttonShownB[j])
    {
        if (animationlauter.timer != null)
        {
            clearInterval (animationlauter.timer);
            animationlauter.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animationlauter.duration = 500;
        animationlauter.starttime = starttime;
        animationlauter.firstElement = document.getElementById (elemente[j]);
        animationlauter.timer = setInterval ("animatelauter();", 13);
        animationlauter.from = animationlauter.now;
        animationlauter.to = 1.0;
        animatelauter();
        buttonShownB[j] = true;
    }
}


function mouseexitplus (event,j)
{
    if (buttonShownB[j])
    {
        // fade in the info button
        if (animationlauter.timer != null)
        {
            clearInterval (animationlauter.timer);
            animationlauter.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animationlauter.duration = 500;
        animationlauter.starttime = starttime;
        animationlauter.firstElement = document.getElementById (elemente[j]);
        animationlauter.timer = setInterval ("animatelauter();", 13);
        animationlauter.from = animationlauter.now;
        animationlauter.to = 0.5;
        animatelauter();
        buttonShownB[j] = false;
    }
}
function animatelauter()
{
    var T;
    var ease;
    var time = (new Date).getTime();
                
        
    T = limit_3(time-animationlauter.starttime, 0, animationlauter.duration);
        
    if (T >= animationlauter.duration)
    {
        clearInterval (animationlauter.timer);
        animationlauter.timer = null;
        animationlauter.now = animationlauter.to;
    }
    else
    {
        ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animationlauter.duration));
        animationlauter.now = computeNextFloat (animationlauter.from, animationlauter.to, ease);
    }
        
    animationlauter.firstElement.style.opacity = animationlauter.now;
}
function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}
function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}