
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//    Copyright (C) 2005, fALk Gaertner - prototypen.com  All rights reserved.
//
//    Codeexamples taken from http://developer.apple.com 
//    retain their respective rights
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

var buttonShownA = new Array (0,0,0,0,0,0);
var elemente = new Array ("MovieControl", "Anfang", "Lauter", "Leiser", "TonToggle");
var animationeins = {duration:0, starttime:0, to:1.0, now:0.5, from:0.0, firstElement:null, timer:null};

var j;


function mouseover (event, j)
{
    if (!buttonShownA[j])
    {
        if (animationeins.timer != null)
        {
            clearInterval (animationeins.timer);
            animationeins.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animationeins.duration = 500;
        animationeins.starttime = starttime;
        animationeins.firstElement = document.getElementById (elemente[j]);
        animationeins.timer = setInterval ("animateeins();", 13);
        animationeins.from = animationeins.now;
        animationeins.to = 1.0;
        animateeins();
        buttonShownA[j] = true;
    }
}


function mouseexit (event,j)
{
    if (buttonShownA[j])
    {
        if (animationeins.timer != null)
        {
            clearInterval (animationeins.timer);
            animationeins.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animationeins.duration = 500;
        animationeins.starttime = starttime;
        animationeins.firstElement = document.getElementById (elemente[j]);
        animationeins.timer = setInterval ("animateeins();", 13);
        animationeins.from = animationeins.now;
        animationeins.to = 0.5;
        animateeins();
        buttonShownA[j] = false;
    }
}
function animateeins()
{
    var T;
    var ease;
    var time = (new Date).getTime();
                
        
    T = limit_3(time-animationeins.starttime, 0, animationeins.duration);
        
    if (T >= animationeins.duration)
    {
        clearInterval (animationeins.timer);
        animationeins.timer = null;
        animationeins.now = animationeins.to;
    }
    else
    {
        ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animationeins.duration));
        animationeins.now = computeNextFloat (animationeins.from, animationeins.to, ease);
    }
        
    animationeins.firstElement.style.opacity = animationeins.now;
}
function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}
function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}