
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//    Copyright (C) 2005, fALk Gaertner - prototypen.com  All rights reserved.
//
//    Codeexamples taken from http://developer.apple.com 
//    retain their respective rights
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

var buttonShow = new Array (0,0,0,0,0,0);
var elemente = new Array ("MovieControl", "Anfang", "Lauter", "Leiser", "TonToggle");
var animation = {duration:0, starttime:0, to:1.0, now:0.5, from:0.0, firstElement:null, timer:null};

var j;


function mouseoverB (event, j)
{
    if (!buttonShow[j])
    {
        if (animation.timer != null)
        {
            clearInterval (animation.timer);
            animation.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animation.duration = 500;
        animation.starttime = starttime;
        animation.firstElement = document.getElementById (elemente[j]);
        animation.timer = setInterval ("animatetostart();", 13);
        animation.from = animation.now;
        animation.to = 1.0;
        animatetostart();
        buttonShow[j] = true;
    }
}


function mouseexitB (event,j)
{
    if (buttonShow[j])
    {
        // fade in the info button
        if (animation.timer != null)
        {
            clearInterval (animation.timer);
            animation.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animation.duration = 500;
        animation.starttime = starttime;
        animation.firstElement = document.getElementById (elemente[j]);
        animation.timer = setInterval ("animatetostart();", 13);
        animation.from = animation.now;
        animation.to = 0.5;
        animatetostart();
        buttonShow[j] = false;
    }
}
function animatetostart()
{
    var T;
    var ease;
    var time = (new Date).getTime();
                
        
    T = limit_3(time-animation.starttime, 0, animation.duration);
        
    if (T >= animation.duration)
    {
        clearInterval (animation.timer);
        animation.timer = null;
        animation.now = animation.to;
    }
    else
    {
        ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
        animation.now = computeNextFloat (animation.from, animation.to, ease);
    }
        
    animation.firstElement.style.opacity = animation.now;
}
function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}
function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}