
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//    Copyright (C) 2005, fALk Gaertner - prototypen.com  All rights reserved.
//
//    Codeexamples taken from http://developer.apple.com 
//    retain their respective rights
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------


var buttonShownB = new Array (0,0,0,0,0,0);
var elemente = new Array ("MovieControl", "Anfang", "Lauter", "Leiser", "TonToggle");
var animationleiser = {duration:0, starttime:0, to:1.0, now:0.5, from:0.0, firstElement:null, timer:null};

var j;


function mouseoverminus (event, j)
{
    if (!buttonShownB[j])

    {
        if (animationleiser.timer != null)
        {
            clearInterval (animationleiser.timer);
            animationleiser.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animationleiser.duration = 500;
        animationleiser.starttime = starttime;
        animationleiser.firstElement = document.getElementById (elemente[j]);
        animationleiser.timer = setInterval ("animate();", 13);
        animationleiser.from = animationleiser.now;
        animationleiser.to = 1.0;
        animate();
        buttonShownB[j] = true;
    }
}


function mouseexitminus (event,j)
{
    if (buttonShownB[j])
    {
        // fade in the info button
        if (animationleiser.timer != null)
        {
            clearInterval (animationleiser.timer);
            animationleiser.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animationleiser.duration = 500;
        animationleiser.starttime = starttime;
        animationleiser.firstElement = document.getElementById (elemente[j]);
        animationleiser.timer = setInterval ("animate();", 13);
        animationleiser.from = animationleiser.now;
        animationleiser.to = 0.5;
        animate();
        buttonShownB[j] = false;
    }
}
function animate()
{
    var T;
    var ease;
    var time = (new Date).getTime();
                
        
    T = limit_3(time-animationleiser.starttime, 0, animationleiser.duration);
        
    if (T >= animationleiser.duration)
    {
        clearInterval (animationleiser.timer);
        animationleiser.timer = null;
        animationleiser.now = animationleiser.to;
    }
    else
    {
        ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animationleiser.duration));
        animationleiser.now = computeNextFloat (animationleiser.from, animationleiser.to, ease);
    }
        
    animationleiser.firstElement.style.opacity = animationleiser.now;
}
function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}
function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}